-1

I installed rh-postgresql96 and rh-postgresql96-postgresql-devel on RH and I discovered that there is no libpq.so.5 but only libpq.so.

the point: I built my C++ binaries using PG, standard one not RH, and so the libpq.so.5 is linked.

questions 2 : is it possible to build linking libpq.so instead og libpq.so.5

0

Usually those files with version numbers are just symlinks to the real shared object files.

Try to create a symlink manually - might just do the trick

ln -s libpq.so libpq.so.5

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.